Subject: Re: [PATCH 3/2][NEWEMAC] Use status property for unused/unwired EMACs

From: Sean MacLennan <[email-masked]>
Date: Sun, 02 Mar 2008 14:43:31 -0500

Josh Boyer wrote:
> Convert ibm_newemac to use the of_device_is_available function when checking
> for unused/unwired EMACs.  We leave the current check for an "unused" property
> to maintain backwards compatibility for older device trees.  Newer device
> trees should simply use the standard "status" property in the EMAC node.
>
> The taishan DTS file is updated to reflect this.
>   
What is the advantage of documenting unwired devices? I ask because the 
taco does not have emac1 connected. I handle it by not defining emac1 in 
the dts file.

Is it better to document it and disable it? Or is this mainly for 
reference boards to show that while the PPC supports to emacs, only one 
is enabled on the reference board?

i.e. We want reference design boards to show what *could* be done, but 
production boards to show what *is* done?

Cheers,
   Sean